
load([ModelLabel '_Plot_5_Data.mat'], 'Plot_5_Results')

if id_model == 1
    DigraphIDs = 1;
else
    DigraphIDs = 1:size(InteractionNetworks,2);
end

% Plot 5: 5000 Final opinion points: Different Underlying Digraph

disp([ 9 9 9 'Plot 5: 5000 Final opinion points: Different Underlying Digraph PLOT'])

InitialOpinionIDs = InitialOpinionIDs_small;
AgentParametersIDs = AgentParametersIDs_small;

local_counter = 0;
for id_ap = 1:size(AgentParametersIDs,2)
    Aux_4_AgentParameterSelection

    for id_io = 1:size(InitialOpinionIDs,2)

        Aux_5_InitialOpinionSelection
        Aux_8_PlotPreparation

        local_counter = local_counter + 1;

        disp([ 9 num2str(id_initial_opinion) 9 num2str(id_paramterer)])

        SingleNameFigure = [ ModelLabel '_ParametricCurve_5_id_io_' num2str(id_initial_opinion) '_id_ap_' num2str(id_paramterer) '.png' ];
        if CreateFigure(SingleNameFigure,AllFigures)

            Plot_5_LocalResults = Plot_5_Results{local_counter}{1};

            for id_di = 1:size(DigraphIDs,2)

                Aux_3_DigraphSelection
                % Aux_7_PredictedPlots

                x_value = Plot_5_LocalResults{id_di}{1}(1);
                y_value = Plot_5_LocalResults{id_di}{1}(2);
                LineColor = Plot_5_LocalResults{id_di}{2};
                
                plot(x_value, y_value, 'o', 'LineWidth',4, 'color', LineColor, 'MarkerSize',7, 'MarkerEdgeColor',LineColor, 'MarkerFaceColor',LineColor), hold on

            end

            
            x_value = Plot_5_Results{local_counter}{3}(1);
            y_value = Plot_5_Results{local_counter}{3}(2);

            plot(x_value, y_value, 'o', 'LineWidth',4, 'color', GreenColor, 'MarkerSize',10, 'MarkerEdgeColor',OrangeColor, 'MarkerFaceColor',GreenColor), hold on

            Aux_9_PlotDetails

            exportgraphics(Fig, [ './Chap/Opinion_Tools/Figures/' ModelLabel '/Plot_5/' ModelLabel '_ParametricCurve_5_id_io_' num2str(id_initial_opinion) '_id_ap_' num2str(id_paramterer) '.png']), pause(0.1), clf


            Aux_1_AgentParameterSuplot
            % Aux_2_DigraphSubplot

            id_initial_opinion = Plot_5_Results{local_counter}{2}(1);
            id_paramterer = Plot_5_Results{local_counter}{2}(2);

        end


    end
end